//
//  Constant.swift
//  B2CScheduler
//
//  Created by Sagar Kumar on 21/01/19.
//  Copyright © 2019 Bafflesol. All rights reserved.
//

import Foundation

typealias APIKey = B2C.APIKey
typealias Text = B2C.Text
typealias Placeholder = B2C.Placeholder
typealias Validation = B2C.Validation
typealias Navigation = B2C.Navigation
typealias NotificationType = B2C.NotificationType
typealias AlertMessage = B2C.AlertMessage

extension B2C {
    
    struct Placeholder {
        static let name = "  Name"
        static let designation = "Designation"
        static let mobileNumer = " Mobile Number"
        static let email = "  Email"
        static let password = "  Password"
        static let confirmPassword = "Confirm Password"
        static let aboutMe = "About Me"
        static let location = "Location"
        static let onlineVideoLink = "Online Video Link"
        static let title = "Give your MeetIn' a Title"
        static let none = "None"
        static let notes = "Post your notes here"
    }
    
    struct Text {
        static let next = "NEXT"
        static let skip = "SKIP"
        static let sendOtp = "SEND OTP"
        static let camera = "Camera"
        static let gallery = "Gallery"
        static let document = "Document"
        static let video = "Video"
        static let selectForte = "SELECT FORTES"
        static let selectObjective = "SELECT OBJECTIVES"
        static let selectCompany = "SELECT COMPANY"
        static let selectFunction = "SELECT FUNCTION"
        static let selectIndustry = "SELECT INDUSTRY"
        static let save = "SAVE"
        static let selectCountry = "SELECT COUNTRY"
        static let home = "Home"
        static let message = "Message"
        static let addEvent = "Add Event"
        static let calendar = "Calendar"
        static let profile = "Profile"
        static let settings = "Settings"
        static let terms = "Terms & Conditions"
        static let giveUsFeedback = "Give Us Feedback"
        static let privacyPolicy = "Privacy Policy"
        static let shareTheApp = "Share App"
        static let logout = "Logout"
        static let yes = "Yes"
        static let no = "No"
        static let forte = "Forte"
        static let tags = "Tags"
        static let objectives = "Objectives"
        static let change = "Change"
        static let remove = "Remove"
        static let update = "UPDATE"
        static let upgrade = "Upgrade"
        static let personalInfo = "Personal Information"
        static let companyInfo = "Company Information"
        static let profileLink = "Profile Link"
        static let companyName = "Company Name"
        static let industry = "Industry"
        static let function = "Function"
        static let eventTitle = "Event Title"
        static let addPhoto = "Add Photo"
        static let startDate = "Start Date"
        static let endDate = "End Date"
        static let timeFrom = "Start Time"
        static let toTime = "End Time"
        static let eventType = "Event Type"
        static let notes = "Notes"
        static let connects = "Connects"
        static let myConnect = "My Connects"
        static let received = "Received"
        static let sent = "Sent"
        static let blocked = "Blocked"
        static let shareUserProfile = "Share User Profile"
        static let shareEvent = "Share Event"
        static let description = "DESCRIPTION"
        static let invitedFriends = "INVITED FRIENDS"
        static let share = "Share"
        static let googleMaps = "Google Maps"
        static let maps = "Maps"
        static let removeConnect = "Remove Connect"
        static let blockConnect = "Block Connect"
        static let reportAbuse = "Report Abuse"
        static let addToCalendar = "Add to Calendar"
        static let copyUrl = "Copy URL Link"
        static let followUp = "Create Follow-Up"
        static let notInterested = "Not Interested"
        static let deleteEvent = "Delete Event"
        static let deleteMeetin = "Delete MeetIn'"
        static let notGoing = "Not Going"
        static let editProfile = "Edit Profile"
        static let shareProfileNav = "SHARE PROFILE"
        static let shareProfile = "Share Profile"
        static let addToAddressBook = "Add To Address Book"
        static let interested = "Interested"
        static let going = "Going"
        static let pending = "Pending"
        static let notSpecified = "Not Specified"
        static let addConnect = "Add Connect"
        static let createdBy = "Created by"
        static let cancelRequest = "Cancel Request"
        static let inviteMoreFriends = "Invite more people"
        static let none = "None"
        static let fMinutesBefore = "15 Minutes Before"
        static let oneHourBefore = "1 Hour Before"
        static let oneDayBefore = "1 Day Before"
        static let notifications = "Notifications"
        static let appSetting = "App Settings"
        static let myOrders = "My Orders"
        static let confirm = "Confirm"
        static let cancel = "Cancel"
        static let block = "Block"
        static let report = "Report"
        static let close = "Close"
        static let delete = "Delete"
        static let ignore = "Ignore"
        static let accept = "Accept"
        static let invitationSent = "Invitation Sent"
        static let rejected = "Rejected"
        static let addForte = "Add Forte"
        static let addObjective = "Add Objective"
        static let addCompany = "Add Company"
       // static let companyName = "Company Name"
        static let companyUrl = "Company Url"
        static let addIndustry = "Add Industry"
        static let addFunction = "Add Function"
        static let name = "Name"
        static let created = "Created"
        static let invited = "Invited"
        static let meetIns = "MeetIns"
        static let awaiting = "Awaiting Response"
        static let makePublic = "Make Calendar Public"
        static let makePrivate = "Make Calendar Private"
        static let shareCalender = "Share Calendar"
        static let viewCalender = "View Calendar of"
        static let publicText = "Public"
        static let privateText = "Private"
        static let scanQRCode = "Scan QR Code"
        static let scanBusinessCard = "Scan Business Card"
        static let assignTo = "Assign To"
        static let meeting = "Meeting"
        static let addMeeting = "Add MeetIn'"
        static let selectMeeting = "Select MeetIn'"
        static let addTeamMember = "Add team member"
        static let b2cApiProd = "B2CApiProd"
        static let orders = "Orders"
        static let edit = "Edit"
        static let shareMeetin = "SHARE MEETIN'"
        static let syncCalender = "Sync Calendar"
        static let myQRCode = "My QR Code"
        static let taskBoard = "Task Board"

        static let shareUserProfileInfo = "Visit app to check my profile and start your journey of connecting, collaborating and managing task. Happy Outfluencing!"
        static let profileVisibility = "Profile Visibility"
        static let turnOnOffProfile = "Turn on/off to enable/disable profile search"
        static let mutePushNotifications = "Mute Push Notifications"
        static let turnOnOffPush = "Turn on/off push notifications"
        static let muteEmailNotifications = "Mute Email Notifications"
        static let turnOnOffEmail = "Turn on/off email notifications"
        static let somethingWentWrong = "Something Went Wrong"
        static let newFeatureRecomendation = "New Feature Recommendation"
        static let other = "Other"
        static let selectSubject = "Select Subject"

        static let shareCalendarURL = "Share Calendar URL" 



    }
    
    struct AlertMessage {
        static let logout = "Are you sure you want to logout?"
        static let turnOnLocationForMap = "Turn on your location from the Settings to help us locate you."
        static let turnOnLocationForCountryCode = "Turn on your location from the Settings to help us locate your country code."
        static let addContactAlert = "Would you like to invite more people from your phonebook?"
        static let goAheadWithThisAction = "Are you sure you want to go ahead with this action?"
        static let freemiumAlert = "Friendly reminder.\n Your access to premium feature expires today."
        static let removeThisConnect = "Do you really want to remove this connect?"
        static let block = """
                            1. You will no longer be connected.
                            2. You won't be able to share and invite each other until user is unblocked.
                           """
        static let thanksForReporting = "Thanks for reporting.\nWe appreciate your feedback."
    }
    
    struct Navigation {
        static let signUp = "SIGN UP"
        static let forgotPassword = "FORGOT PASSWORD"
        static let resetPassword = "RESET PASSWORD"
        static let editProfile = "EDIT PROFILE"
        static let selectForte = "SELECT FORTE"
        static let selectObjective = "SELECT OBJECTIVES"
        static let home = "HOME"
        static let taskBoard = "TASK BOARD"
        static let task = "TASK"
        static let createTask = "ADD NEW TASK"
        static let editTask = "EDIT TASK"
        static let calendar = "CALENDAR"
        static let suggestions = "SUGGESTIONS"
        static let eventDetails = "EVENT DETAILS"
        static let meetinDetails = "MEETIN' DETAILS"
        static let reminderDetails = "REMINDER DETAILS"
        static let qrCode = "MY QR CODE"
        static let totalhealth = "Total Health"

        static let share = "SHARE"
        static let connects = "CONNECTS"
        static let more = "MORE"
        static let addEvent = "ADD EVENT"
        static let addMeetin = "ADD MEETIN'"
        static let addReminder = "ADD REMINDER"
        static let createEvent = "CREATE EVENT"
        static let events = "EVENTS"
        static let meetin = "MEETIN'S"
        static let inviteConnects = "INVITE CONNECTS"
        static let eventLocation = "EVENT LOCATION"
        static let invitedFriends = "INVITED FRIENDS"
        static let shareEvent = "SHARE EVENT"
        static let editEvent = "EDIT EVENT"
        static let editMeetin = "EDIT MEETIN'"
        static let editReminder = "EDIT REMINDER"
        static let followup = "FOLLOW-UP"
        static let newsFeed = "NEWS FEED"
        static let selectConnects = "SELECT CONNECTS"
        static let viewCalendarOf = "VIEW CALENDAR OF"
        static let selectContacts = "SELECT CONTACTS"
        static let selectMeeting = "LIST OF MEETIN'S"
        static let paymentPlan = "PAYMENT PLAN"
        static let orders = "ORDERS"
        static let addComment = "Add Comment"
        static let notifications = "NOTIFICATIONS"
        static let userActivity = "USER ACTIVITY"
        static let appSettings = "APP SETTINGS"
        static let syncCalender = "SYNC CALENDAR"
        static let homeNavID = "HomeNavID"
        static let homeHealthQuizID = "HomeHealthQuizID"

    }
    
    struct APIKey {
        static let name = "Name"
        static let mobile = "Mobile"
        static let countryCode = "CountryCode"
        static let password = "Password"
        static let email = "Email"
        static let aboutMe = "AboutMe"
        static let otp = "OTP"
        static let otpfor = "OtpFor"
        static let authToken = "access_token"
        static let tagLine = "TagLine"
        static let fortes = "Fortes"
        static let objectives = "Objectives"
        static let id = "Id"
        static let data = "data"
        static let profileUrlPath = "ProfileUrlPath"
        static let company = "Company"
        static let industry = "Industry"
        static let function = "Function"
        static let fcmToken = "FCMToken"
        static let fcmTokens = "FCMTokens"
        static let deviceType = "DeviceType"
        static let model = "Model"
        static let version = "Version"
        static let manufacturer = "Manufacturer"
    }
    
    struct Validation {
        static let enterName = "Please enter name."
        static let enterPassword = "Please enter password."
        static let enterValidPassword = "Password should have minimum 6 characters."
        static let enterConfirmPassword = "Please enter confirm password."
        static let passwordMustBeSame = "Password and confirm password must be same."
        static let entermobile = "Please enter mobile number."
        static let enterTitle = "Please enter task`s title."
        static let entervalidmobile = "Please enter valid mobile number."
        static let enterEmail = "Please enter email."
        static let enterOtp = "Please enter otp."
        static let selectProfilePic = "Please upload profile picture."
        static let enterEventTitle = "Please enter an meetIn' title."
        static let selectStartDate = "Please select start date."
        static let selectAddress = "Please select location."
        static let selectEndDate = "Please select end date."
        static let selectTimeFrom = "Please select time from."
        static let selectTimeTo = "Please select time to."
        static let selectPeople = "Please select people to invite."
        static let agreeTerms = "Please agree terms & conditions."

    }
    
    struct StaticArray {
        static let notifyMe = [Text.none, Text.fMinutesBefore, Text.oneHourBefore]
        static let notifyMeNew = [Text.none, Text.fMinutesBefore]

    }
    
    struct NotificationType {
        static let eventUpdate = "Event_Update"
        static let eventCreate = "Event_Create"
        static let eventSendInvitation = "Event_SendInvitation"
        static let eventNotifyMe = "Event_NotifyMe"
        static let eventDelete = "Event_Delete"
        static let connectAdd = "Connect_AddRequest"
        static let connectAccept = "Connect_AcceptRequest"
        static let taskCompletion = "Task_Completion"
        static let noteTagging = "Note_Tagging"
        static let taskTagging = "Task_Tagging"
        static let taskReminder = "Task_Reminder"
        static let eventMoM = "Event_MoM"
        static let taskSixReminder = "Task_SixReminder"
        static let notifySixReminder = "Notify_SixReminder"
        static let calendarShare = "Calendar_Share"
        static let lateTask = "Late_Task"
        static let paymentplan = "Payment_Plan"




    }
    struct Storyboard {
        static let side = "SideMenu"
        static let main = "Main"
    }
}
